Bug 1801329 - clamav/clamd 0.101.5-7.fc31 breaks exim-clamav
Summary: clamav/clamd 0.101.5-7.fc31 breaks exim-clamav
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exim
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-10 16:36 UTC by Jeffrey Ross
Modified: 2020-05-08 03:59 UTC (History)
14 users (show)

Fixed In Version: clamav-0.102.2-2.fc31 exim-4.93-5.fc32 exim-4.93-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-08 02:44:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeffrey Ross 2020-02-10 16:36:01 UTC
Description of problem:
newly released clamav and clamd 0.101.5-7 breaks the existing clamav due to missing exim-clamav package when installing via dnf

Version-Release number of selected component (if applicable):
existing installation -
exim-clamav 4.92.3-1.fc31

new:
Clamav, clamav-data, clamav-filesystem, clamav-lib, clamav-update, and clamd, versions 0.101-5-7.fc1

How reproducible:
100%

Steps to Reproduce:
1. upgrade via "dnf upgrade --best --allowerasing"
2.
3.

Actual results:
dnf will offer -
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):

If you add the options, dnf will remove exim-clamav

Expected results:
upgrade exim-clamav

Additional info:

Comment 1 Fedora Update System 2020-02-10 19:00:57 UTC
FEDORA-2020-eb709b2d86 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-eb709b2d86

Comment 2 Fedora Update System 2020-02-11 01:10:30 UTC
clamav-0.102.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eb709b2d86

Comment 3 Jeffrey Ross 2020-02-11 14:11:54 UTC
Ran the command:
   sudo dnf install clamav --enablerepo=updates-testing --best

Clamav updated and exim-clamav was retained, the update appears to have worked as expected.

Comment 4 Fedora Update System 2020-02-19 01:53:11 UTC
clamav-0.102.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Sergio Basto 2020-02-26 22:41:36 UTC
Exim-clamav package should require clamd , not clamav-server. clamaav-server have been replaced by clamd one or two years ago.

Comment 6 Sergio Basto 2020-04-28 18:31:10 UTC
I did https://src.fedoraproject.org/rpms/exim/pull-request/7

Comment 7 Fedora Update System 2020-04-29 09:13:02 UTC
FEDORA-2020-dd4cb79d3f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd4cb79d3f

Comment 8 Fedora Update System 2020-04-29 09:21:59 UTC
FEDORA-2020-5189083113 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5189083113

Comment 9 Fedora Update System 2020-04-30 04:13:13 UTC
FEDORA-2020-dd4cb79d3f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dd4cb79d3f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd4cb79d3f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-30 04:58:38 UTC
FEDORA-2020-5189083113 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5189083113`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5189083113

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-08 02:44:01 UTC
FEDORA-2020-dd4cb79d3f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-08 03:59:58 UTC
FEDORA-2020-5189083113 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.